module MyForwardable
  def def_delegators(accessor, *methods)
    for method in methods
      def_delegator(accessor, method)
    end
  end

  def def_delegator(accessor, method, alias_method = method)
    class_eval("
      def #{alias_method}(*args, &block)
        #{accessor}.__send__(:#{method}, *args, &block)
      end      
    ")
  end
end
